package com.inca.npbusi.sales.bms_st_rg_plan;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.util.DecimalHelper;

public class DisposeSalesBack_detail extends CDetailModel {
  public DisposeSalesBack_detail(CFrame paramCFrame, CMdeModel paramCMdeModel) {
    super(paramCFrame, "收货细单", paramCMdeModel);
    DBColumnDisplayInfo dBColumnDisplayInfo;
    (dBColumnDisplayInfo = getDBColumnDisplayInfo("backwhyid")).setDbcolumn(false);
  }
  
  public String getTablename() {
    return "bms_st_rg_dtl_v";
  }
  
  public String getSaveCommandString() {
    return null;
  }
  
  protected void on_retrieved() {
    super.on_retrieved();
    if (getRowCount() > 0)
      for (byte b = 0; b < getRowCount(); b++) {
        String str;
        if ((str = getItemValue(b, "fetchdtlid")) == null)
          str = ""; 
        if (!str.equals("")) {
          str = "SELECT b.unitprice FROM bms_tr_fetch_dtl a ,bms_sa_dtl b WHERE a.saledtlid=b.salesdtlid AND a.fetchdtlid=" + 
            
            str;
          DBTableModel dBTableModel = null;
          RemotesqlHelper remotesqlHelper = new RemotesqlHelper();
          try {
            dBTableModel = remotesqlHelper.doSelect(str, 0, 1);
          } catch (Exception exception) {
            (str = null).printStackTrace();
          } 
          if (dBTableModel.getRowCount() > 0) {
            str = dBTableModel
              .getItemValue(0, "unitprice");
            setItemValue(b, "unitprice", str);
            setdbStatus(b, 0);
          } 
        } 
      }  
  }
  
  public int on_beforesave() {
    String str;
    if ((str = getItemValue(getRow(), "unitPrice")) == null || "".equals(str)) {
      infoMessage("提示", "单价不能为空！");
      return -1;
    } 
    if (DecimalHelper.comparaDecimal(str, "0") <= 0) {
      infoMessage("提示", "单价必须大于0！");
      return -1;
    } 
    return super.on_beforesave();
  }
}
